/*
**
**                           Main.c
**
**
**********************************************************************/
/*
   Last committed:     $Revision: 00 $
   Last changed by:    $Author: $
   Last changed date:  $Date:  $
   ID:                 $Id:  $

**********************************************************************/
#include "stm32f0xx_conf.h"

#include "Triac.h"
#include "PowerHz.h"
#include "I2C_Slave.h"

int main(void)
{
    SystemCoreClockUpdate();

    PowerHz_Cnf();
    Triac_Cnf();
    I2C_Slave_Cnf();


    //   .
    IWDG_WriteAccessCmd(IWDG_WriteAccess_Enable);
    IWDG_SetPrescaler(IWDG_Prescaler_32);
    IWDG_SetReload(0xFFF); //      32  3.276 .
    IWDG_Enable();

    //Triac_SetChannel(1, 5000);
    //Triac_SetChannel(2, 100);


    while(1)
    {
        IWDG_ReloadCounter();                   //   .
        PWR_EnterSleepMode(PWR_SLEEPEntry_WFI); // ""   .
    }
}
